Lua_OutLineResultWindow = class("Lua_OutLineResultWindow", Lua_Window);
function Lua_OutLineResultWindow:ctor()
	self:superCall("ctor");
	self.windowName = "Lua_OutLineResultWindow";
	self.skinName = "OutLineResultWindow_skin";
	self.lastSendTime = 0;
end
function Lua_OutLineResultWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.dragContainer = Lua_DragContainer.new(self.content,1, Vector4(0, 0, 558, 250));
	self.dragContainer:setLocation(0, 9, 0);
	self.dragContainer.uiPanel.depth = 3000;
    self.dragContainer:updateChildPos();
    self.dragTxt = Lua_OutLineResultItem.new(self.dragContainer)

	self.subBtn:addClickFuntion(self, self.onSubClick);
	self.setBtn:addClickFuntion(self, self.onSetClick);
	if getLanType() == 1 then
		self.dragTxt.lostTxt:setLocation(-103, -65, 0);
	end
end
function Lua_OutLineResultWindow:onSubClick(param)
	local lose_exp = math.floor(tonumber(tostring(self.data.lose_exp)));
	if lose_exp > 0 then
		Lua_WindowUtil.openWin("Lua_GamePlayWindow",WinParam.ACTION_OPEN, {openIdx = 3});
	end
	self:hide();
end
function Lua_OutLineResultWindow:onSetClick(param)
	self:hide();
	Lua_WindowUtil.openWin("Lua_SettingsWindow");
end
function Lua_OutLineResultWindow:showWin(param)
	self.data = param;
	self:updateData();
end
function Lua_OutLineResultWindow:updateData()
	self.dragTxt.timeTxt.text = LanUtil.formateStr(LanUtil.getValue(110222),
		TimeTransform.getInstance():transSeconds3(self.data.use_time,self.data.use_time < 60),
		TimeTransform.getInstance():transSeconds3(self.data.left_time,self.data.left_time< 60));
	if self.data.pre_level < self.data.level then
		self.dragTxt.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(110236),tostring(self.data.pre_level), tostring(self.data.level));
	else
		self.dragTxt.lvTxt.text = LanUtil.formateStr(LanUtil.getValue(110238), tostring(self.data.level));
	end
	
	local exp = math.floor(tonumber(tostring(self.data.reward_exp)));
	self.dragTxt.expTxt.text = LanUtil.formateStr(LanUtil.getValue(110239), Lua_CommonUtil.getNumberTrans(exp));
	local eat_exp = math.floor(tonumber(tostring(self.data.eat_exp)));
	self.dragTxt.eatTxt.text = LanUtil.formateStr(LanUtil.getValue(110240), Lua_CommonUtil.getNumberTrans(eat_exp));
	local lose_exp = math.floor(tonumber(tostring(self.data.lose_exp)));

	if lose_exp == 0 then
		self.dragTxt.lostTxt.text = "[85A8BE]"..lose_exp.."[-]";
		self.subBtn.label = LanUtil.getValue(11);
	else
		self.dragTxt.lostTxt.text = LanUtil.formateStr(LanUtil.getValue(110237),self.data.killer,
			tostring(self.data.killer_level),Lua_CommonUtil.getNumberTrans(lose_exp));
		self.subBtn.label = LanUtil.getValue(110241);
	end
	

	local colorDic = {};
	for i,v in ipairs(self.data.color_items) do
		colorDic[v.obj_id] = v.obj_value;
	end
	local str = "";
	local num = 0;
	local lanIndex = 110222;
	for i=1,5 do
		if colorDic[i] ~= nil then
			num = num + 1;
			str = str..LanUtil.formateStr(LanUtil.getValue(110222+i), tostring(colorDic[i]));
			if num % 2 == 1 then
				str = str.."     ";
			else
				str = str.."\n";
			end
		end
	end
	self.dragTxt.equTxt.text = str;
	self.jinglingTips.text = LanUtil.getValue(110247);
	if self.data.auto_wear_fairy == 1 then
		self.jinglingTips:setEnable(true);
	else
		self.jinglingTips:setEnable(false);
	end
end


Lua_OutLineResultItem = class("Lua_OutLineResultItem", Lua_DragContainerItem)
function Lua_OutLineResultItem:ctor(dragContainer)
	self:superCall("ctor", dragContainer.sub, "OutLineResultItem_skin");
	dragContainer:addSubContainer(self,true);
end

function Lua_OutLineResultItem:buildShowItem()
	self:superCall("buildShowItem");
end
